%define upstream_name    Business-CreditCard
%define upstream_version 0.31

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Credit card number check digit test
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Business/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
These subroutines tell you whether a credit card number is self-consistent
-- whether the last digit of the number is a valid checksum for the
preceding digits.

The validate() subroutine returns 1 if the card number provided passes the
checksum test, and 0 otherwise.

The cardtype() subroutine returns a string containing the type of card. The
list of possible return values is more comprehensive than it used to be,
but additions are still most welcome.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc BINS Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-2.mga3
+ Revision: 363395
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.310.0-1.mga3
+ Revision: 304092
- imported package perl-Business-CreditCard

